Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class ExportException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      java.rmi.server.ExportException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SocketSecurityException

    public class ExportException

extends RemoteException

An `ExportException` is a `RemoteException` thrown if an attempt to export a remote object fails. A remote object is exported via the constructors and `exportObject` methods of `java.rmi.server.UnicastRemoteObject` and `java.rmi.activation.Activatable`.

Since:
  JDK1.1
See Also:
  `UnicastRemoteObject`, `Activatable`, Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ExportException(String s)` Constructs an `ExportException` with the specified detail message.
`ExportException(String s, Exception ex)` Constructs an `ExportException` with the specified detail message and nested exception.

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExportException

    public ExportException(String s)

  Constructs an `ExportException` with the specified detail message.

  Parameters:
    `s` - the detail message
  Since:
    JDK1.1

### ExportException

    public ExportException(String s,
                           Exception ex)

  Constructs an `ExportException` with the specified detail message and nested exception.

  Parameters:
    `s` - the detail message
    `ex` - the nested exception
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.